

<template>

    <Card>

        <template #content>
          
            <form>

                <div class="form-group">
                    <label for="nom">nom</label>
                    <input type="text" class="form-control" id="nom" placeholder="Nom du groupe" v-model="nom">
                </div>
                <div class="form-group">
                    <label for="utilisateurs">Membres</label>
                    <input type="text" class="form-control" id="utilisateurs" placeholder="Membres" v-model="utilisateur">
                </div>
                <div class="form-group">
                    <label for="calendrier">Calendrier</label>
                    <input type="text" class="form-control" id="calendrier" placeholder="Calendrier" v-model="calendrier">
                </div>
                <div class="form-group">
                    <label for="stockage">Stockage</label>
                    <input type="text" class="form-control" id="stockage" placeholder="Stockage" v-model="stockage">
                </div>
                <div class="form-group">
                    <Button v-on:click="createGroupe();" class="btn btn-primary" label="Submit" />
                </div>

            </form>

        </template>

    </Card>


                      
    <Card v-for="groupe in groupes" v-bind:key="groupe">

            <template #title>
                {{ groupe.nom }}
            </template>

            

            <template #content>
              <p>Membres : {{ groupe.utilisateurs }}</p>
              <p>Reliée au calendrier {{ groupe.calendrier }}</p>
            </template>

            <template #footer>
                <Button icon="pi pi-check" label="Modifier" />
                <Button v-on:click="deleteGroupe(groupe.id);" icon="pi pi-times" label="Supprimer" class="p-button-secondary" style="margin-left: .5em" />
            </template>

    </Card>

      
</template>


<style scoped>

    .form-group Button{
      margin-top: 8px;
    }

    .p-card{
      margin: 48px 196px;

    }

</style>

<script>

import axios from "axios";

export default {
  components: {},
  name: "groupe",
  props: {
    msg: String,
  

  },

    data() {
      return {
          groupes: [],
          nom: "",
          utilisateur: "",
          calendrier: "",
          stockage: ""
            }
          },


        methods:{

            createGroupe() {
              axios
              .post("http://localhost:8080/api/groupes", {
                nom: this.nom,
                utilisateurs: [this.utilisateur],
                calendrier: this.calendrier,
                stockage: this.stockage
              })
                .then((response) => {
                this.groupes.push(response.data)
                })

                .catch((error) => {
                console.log(error);
              });
            },


            deleteGroupe(id) {
            axios
            .delete("http://localhost:8080/api/groupes/" + id)
            .then(() => {
            const idx = this.groupes.findIndex(g => g.id === id)
            this.groupes.splice(idx, 1);
            })
            }

        },

    mounted() {
      axios.get("http://localhost:8080/api/groupes")
    .then((response) => (this.groupes = response.data['hydra:member']))
    .then(response => console.log(response));
  }


}

</script>